Commit c4bb7089 authored by Jehan's avatar Jehan

po: explain why `make update-po` will fail on a VPATH build.

Commit c9600691 worked around a still-existing bug (well at least the
bug report is still open) of intltool with automake 1.15 when the build
and source directories are different (VPATH build) by replacing
`intltool-update` by `true`. But because of this `make update-po` fails
on such a build and the make output is totally unclear at why. Add an
error message when this happens.
parent 9e995548
......@@ -97,6 +97,11 @@ all-yes: $(CATALOGS)
all-no:
$(GETTEXT_PACKAGE).pot: $(POTFILES)
@if test "x$(INTLTOOL_UPDATE)" = "x/bin/true"; then \
echo "Error: po generation deactivated on VPATH builds."; \
echo " See commit c96006919."; \
false; \
fi
$(GENPOT)
install: install-data
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment